"use strict";
/********************************************************************************
 * Copyright (C) 2020 TypeFox and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VSXEnvironment = void 0;
const inversify_1 = require("@theia/core/shared/inversify");
const env_variables_1 = require("@theia/core/lib/common/env-variables");
const uri_1 = require("@theia/core/lib/common/uri");
const plugin_vscode_types_1 = require("@theia/plugin-ext-vscode/lib/common/plugin-vscode-types");
let VSXEnvironment = class VSXEnvironment {
    async getRegistryUri() {
        if (!this._registryUri) {
            const vsxRegistryUrl = await this.environments.getValue('VSX_REGISTRY_URL');
            this._registryUri = new uri_1.default(vsxRegistryUrl && vsxRegistryUrl.value || 'https://open-vsx.org');
        }
        return this._registryUri;
    }
    async getRegistryApiUri() {
        const registryUri = await this.getRegistryUri();
        return registryUri.resolve('api');
    }
    async getVscodeApiVersion() {
        if (!this._apiVersion) {
            const apiVersion = await this.environments.getValue('VSCODE_API_VERSION');
            this._apiVersion = (apiVersion === null || apiVersion === void 0 ? void 0 : apiVersion.value) || plugin_vscode_types_1.VSCODE_DEFAULT_API_VERSION;
        }
        return this._apiVersion;
    }
};
__decorate([
    inversify_1.inject(env_variables_1.EnvVariablesServer),
    __metadata("design:type", Object)
], VSXEnvironment.prototype, "environments", void 0);
VSXEnvironment = __decorate([
    inversify_1.injectable()
], VSXEnvironment);
exports.VSXEnvironment = VSXEnvironment;
//# sourceMappingURL=vsx-environment.js.map